Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_QoS_Params Class Reference

Wrapper class that simplifies the information passed to the QoS enabled and methods. More...

`#include <OS.h>`

Collaboration diagram for ACE_QoS_Params:

[legend]
List of all members.

## Public Methods
| ACE_QoS_Params (iovec *caller_data = 0, iovec *callee_data = 0, ACE_QoS *socket_qos = 0, ACE_QoS *group_socket_qos = 0, u_long flags = 0)
iovec* | caller_data (void) const
void | caller_data (iovec *)
iovec* | callee_data (void) const
void | callee_data (iovec *)
ACE_QoS* | socket_qos (void) const
void | socket_qos (ACE_QoS *)
ACE_QoS* | group_socket_qos (void) const
void | group_socket_qos (ACE_QoS *)
u_long | flags (void) const
void | flags (u_long)
## Private Attributes
iovec* | caller_data_
| A pointer to the user data that is to be transferred to the peer during connection establishment.
iovec* | callee_data_
| A pointer to the user data that is to be transferred back from the peer during connection establishment.
ACE_QoS* | socket_qos_
| A pointer to the flow speicfications for the socket, one for each direction.
ACE_QoS* | group_socket_qos_
| A pointer to the flow speicfications for the socket group, if applicable.
u_long | flags_
| Flags that indicate if we're a sender, receiver, or both.

## Detailed Description

Wrapper class that simplifies the information passed to the QoS enabled and methods.

## Constructor & Destructor Documentation

ACE_INLINE ACE_QoS_Params::ACE_QoS_Params ( | iovec * caller_data = 0,
| iovec * callee_data = 0,
| ACE_QoS * socket_qos = 0,
| ACE_QoS * group_socket_qos = 0,
| u_long flags = 0 )

| Initialize the data members. The <caller_data> is a pointer to the user data that is to be transferred to the peer during connection establishment. The <callee_data> is a pointer to the user data that is to be transferred back from the peer during connection establishment. The_<socket_qos> is a pointer to the flow specifications for the socket, one for each direction. The <group_socket_qos> is a pointer to the flow speicfications for the socket group, if applicable. The_<flags> indicate if we're a sender, receiver, or both.

## Member Function Documentation

ACE_INLINE void ACE_QoS_Params::callee_data ( | iovec * cd )

ACE_INLINE iovec * ACE_QoS_Params::callee_data ( | void ) const

ACE_INLINE void ACE_QoS_Params::caller_data ( | iovec * cd )

ACE_INLINE iovec * ACE_QoS_Params::caller_data ( | void ) const

ACE_INLINE void ACE_QoS_Params::flags ( | u_long f )

ACE_INLINE u_long ACE_QoS_Params::flags ( | void ) const

ACE_INLINE void ACE_QoS_Params::group_socket_qos ( | ACE_QoS * gsq )

ACE_INLINE ACE_QoS * ACE_QoS_Params::group_socket_qos ( | void ) const

ACE_INLINE void ACE_QoS_Params::socket_qos ( | ACE_QoS * sq )

ACE_INLINE ACE_QoS * ACE_QoS_Params::socket_qos ( | void ) const

## Member Data Documentation

iovec * ACE_QoS_Params::callee_data_`[private]`

| A pointer to the user data that is to be transferred back from the peer during connection establishment.

iovec * ACE_QoS_Params::caller_data_`[private]`

| A pointer to the user data that is to be transferred to the peer during connection establishment.

u_long ACE_QoS_Params::flags_`[private]`

| Flags that indicate if we're a sender, receiver, or both.

ACE_QoS * ACE_QoS_Params::group_socket_qos_`[private]`

| A pointer to the flow speicfications for the socket group, if applicable.

ACE_QoS * ACE_QoS_Params::socket_qos_`[private]`

| A pointer to the flow speicfications for the socket, one for each direction.

The documentation for this class was generated from the following files:

- OS.h
- OS.i